import { View } from '@tarojs/components'
import './index.less'
import { Button } from "@taroify/core"
import { Scan } from "@taroify/icons"
import BLESDK from '../../utils/ble'
import Taro, { useDidShow } from '@tarojs/taro'
import { useState } from 'react'

export default function Index() {
  const [deviceInfo, setDeviceInfo] = useState(BLESDK.deviceInfo)
  const deviceCallBack = () => {
    setDeviceInfo({ ...BLESDK.deviceInfo })
    if (BLESDK.deviceInfo.state) {
    }
  }
  const lookSleep = () => {
    // if (!BLESDK.deviceInfo.state) return Taro.showToast({ title: '请先连接设备', icon: 'none' })
    Taro.navigateTo({ url: '/pages/funList/index' })
  }

  useDidShow(() => {
    BLESDK.deviceCallBack(deviceCallBack)
    setDeviceInfo({ ...BLESDK.deviceInfo })
  })
  return (
    <View className="index">
      <View className='device'>
        <View className='item'>
          <View className='item-label'>NAME：</View>
          <View className='item-text'>{deviceInfo.name || '--'}</View>
        </View>
        <View className='item'>
          <View className='item-label'>MAC：</View>
          <View className='item-text'>{deviceInfo.mac || '--'}</View>
        </View>
        <View className='item'>
          <View className='item-label'>连接状态：</View>
          <View className='item-text' style={{ color: deviceInfo.state ? 'green' : 'red' }}>{deviceInfo.name ? deviceInfo.state ? '已连接' : '未连接' : '--'}</View>
        </View>
      </View>
      <Button color="warning" className='btn' onClick={lookSleep}>功能设置</Button>
    </View >
  )
}
